#pragma once
#include "Entity.h"
#define CS_BUBBLEWALL_CREATENAME L"CS_bubblewall"
//ÅÝÅÝÇ½
class CS_BubbleWall :
    public Entity
{
public:
    CS_BubbleWall();
    void Step() override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
};

std::shared_ptr<Entity> CreateCS_BubbleWall();